GETRPCPORT(3)

NAME
getrpcport - get RPC port number

SYNOPSIS
int getrpcport(char *host, int prognum, int versnum, int proto);

DESCRIPTION
getrpcport() returns the port number for version versnum of the RPC program prognum running on host and using protocol proto. It returns 0 if it cannot contact the portmapper, or if prognum is not registered. If prognum is registered but not with version versnum, it will still return a port number (for some version of the program) indicating that the program is indeed registered. The version mismatch will be detected upon the first call to the service.

CONFORMING TO
Not in POSIX.1-2001. Present on the BSDs, Solaris, and many other systems.

COLOPHON
This page is part of release 3.63 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.